Package edu.msu.cme.rdp.classifier.utils

# Class ClassifierSequence

java.lang.Object
edu.msu.cme.rdp.readseq.readers.Sequence
edu.msu.cme.rdp.classifier.utils.ClassifierSequence

All Implemented Interfaces:
  `Serializable`

public class ClassifierSequence extends edu.msu.cme.rdp.readseq.readers.Sequence
A Sequence containing the sequence information.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`desc, seqName, seqString`

## Constructor Summary

Constructors
Constructor
Description
`ClassifierSequence(edu.msu.cme.rdp.readseq.readers.Sequence seq)`
Creates new ParsedSequence.
`ClassifierSequence(String seqName, String desc, String seqString)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getGoodWordCount()`
Returns the number of words with valid bases.
`ClassifierSequence`
`getReversedSeq()`
Returns a Sequence object whose sequence string is the reverse complement of the current rRNA sequence string.
`int[]`
`getWordIndexArr()`
`boolean`
`isReverse()`
Returns true if the sequence string is a minus strand.
`protected void`
`setSeqString(String s)`
Sets the sequence string.

### Methods inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`getDesc, getSeqName, getSeqString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassifierSequence

public ClassifierSequence(edu.msu.cme.rdp.readseq.readers.Sequence seq) throws IOException
Creates new ParsedSequence.

Throws:
  `IOException`

### ClassifierSequence

public ClassifierSequence(String seqName, String desc, String seqString) throws IOException

Throws:
  `IOException`

## Method Details

### setSeqString

protected void setSeqString(String s)
Sets the sequence string.

### getWordIndexArr

public int[] getWordIndexArr()

### isReverse

public boolean isReverse()
Returns true if the sequence string is a minus strand.

### getReversedSeq

public ClassifierSequence getReversedSeq() throws IOException
Returns a Sequence object whose sequence string is the reverse complement of the current rRNA sequence string.

Throws:
  `IOException`

### getGoodWordCount

public int getGoodWordCount()
Returns the number of words with valid bases.